{%- set root_categories = shuup.general.get_root_categories() -%}
{%- import "shuup/front/macros/general.jinja" as macros with context -%}
{%- import "shuup/front/macros/add_to_cart.jinja" as cart_macros with context -%}
{%- import "shuup/front/macros/basket.jinja" as basket_macros with context -%}
{%- import "shuup/front/macros/category.jinja" as category_macros with context -%}
{%- import "shuup/front/macros/checkout.jinja" as checkout_macros with context -%}
{%- from "shuup/front/macros/footer.jinja" import render_footer with context %}
{%- import "shuup/front/macros/order.jinja" as order_macros with context -%}
{%- import "shuup/front/macros/product.jinja" as product_macros with context -%}
{%- from "shuup_definite_theme/macros/navigation.jinja" import render_navigation with context -%}
<!DOCTYPE html>
<html lang="{{ LANGUAGE_CODE }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {% block extrameta %}{% endblock %}

    <title>{% block title %}{{ request.shop.public_name }}{% endblock %} &ndash; {{ request.shop.public_name }}</title>

    {%- set favicon = request.shop.favicon.url if request.shop.favicon else None -%}
    {% if favicon %}<link rel="icon" type="image/x-icon" href="{{ favicon }}">{% endif %}

    {% if xtheme.get("stylesheet") %}
        <link rel="stylesheet" href="{{ STATIC_URL }}{{ xtheme.get('stylesheet') }}?v=3.1.0">
    {% else %}
        <link rel="stylesheet" type="text/css" href="{{ static('shuup_definite_theme/classic/shuup_definite_theme.css') }}?v=3.1.0">
    {% endif %}
    {% block extracss %}{% endblock %}

    {% set conf = shuup.general.get_config() %}
    <script>var ShuupFrontConfig = {{ conf|json }};</script>

    {% if shuup.general.is_shop_admin() %}
        <script type="text/javascript" src="{{ url('shuup_admin:js-catalog') }}?lang={{ LANGUAGE_CODE }}"></script>
    {% endif %}

    <script type="text/javascript" src="{{ url('shuup:js-catalog') }}?lang={{ LANGUAGE_CODE }}"></script>

    {{ xtheme.render_custom_font_style()|safe }}
</head>

<body class="{% if shuup.general.is_shop_admin() %}admin-tools-visible{% endif %} {% block bodyclass %}{% endblock %}">
    <a href="#main-content" class="sr-only">
        {% trans %}Skip to main content{% endtrans %}
    </a>

    {{ macros.render_maintenance_mode_notification() }}

    <div class="content-wrap">

        <div id="main" class="clear-top">

            <div class="navigation-wrapper">
                {% block navigation %}
                    {{ render_navigation(show_quick_login=True) }}
                {% endblock %}
            </div>

            <div class="main-messages-wrap">
                <div class="container">
                    {{ macros.render_messages() }}
                    {{ macros.render_errors() }}
                </div>
            </div>

            {% block banner %}{% endblock %}

            {% block container_start %}
            <div class="container">
            {% endblock %}

                <main class="main-content {% block extra_main_class %}{% endblock %}" id="main-content">
                    {% block breadcrumb %}{% endblock %}
                    {% block before_content_title %}{% endblock %}

                    {% if self.content_title() %}
                        <div class="page-header">
                            <h1>{% block content_title %}{% endblock %}</h1>
                        </div>
                    {% endif %}

                    <div class="page-content">
                        {% block content %}{% endblock %}
                    </div>

                    {% block carousels %}{% endblock %}
                </main>

            {% block container_end %}
            </div>
            {% endblock %}

        </div>

        {% block footer %}
            {{ render_footer() }}
        {% endblock %}
    </div>

    <a href="#" id="scroll_top" class="scroll-top-btn" data-toggle="tooltip" data-placement="left" data-title="{% trans %}Scroll to top{% endtrans %}">
        <i class="fa fa-angle-up"></i>
        <span class="sr-only">{% trans %}Scroll to top{% endtrans %}</span>
    </a>

    <script src="{{ static('shuup/front/js/vendor.js') }}?v=3.1.0"></script>
    <script src="{{ static('shuup/front/js/scripts.js') }}?v=3.1.0"></script>
    <script src="{{ static('shuup_definite_theme/js/shuup_definite_theme.js') }}?v=3.1.0"></script>
    {% block extrajs %}{% endblock %}

    {{ cart_macros.add_product_to_cart() }}
</body>
</html>
